// app_constants.h

// events
const int	evt_deselect_icons			= 2001;
// menu commands
				// apple menu
const int	cmd_about						= 3001;	
const int	cmd_alarm_clock			= 3002;
const int	cmd_calculator				= 3003;
const int	cmd_chooser					= 3004;
const int	cmd_control_panel			= 3005;
const int	cmd_key_caps				= 3006;
const int	cmd_note_pad					= 3007;
const int	cmd_scrapbook				= 3008;
				// file menu
const int	cmd_new_folder				= 3101;
const int	cmd_open						= 3102;
const int	cmd_print						= 3103;
const int	cmd_close_window			= 3104;
const int	cmd_get_info					= 3105;
const int	cmd_duplicate				= 3106;
				// edit menu
const int	cmd_undo						= 3201;
const int	cmd_cut							= 3202;
const int	cmd_copy						= 3203;
const int	cmd_paste						= 3204;
const int	cmd_clear						= 3205;
const int	cmd_show_clipboard		= 3206;
				// view menu
const int	cmd_view_as_sm_icon 	= 3301;
const int	cmd_view_as_icon 			= 3301;
const int	cmd_view_as_list		 	= 3301;
				// special menu
const int	cmd_empty_trash			= 3401;
const int	cmd_sleep						= 3402;
const int	cmd_restart					= 3403;
const int	cmd_shutdown				= 3404;

/*	 notes: 
		when starting up, check if prefs exist. if not, show startup sequence.
		then show main form.
		
		restart should show startup sequence
		
		shut down should show "It is now safe to turn off your Macintosh." dialog
		check the icon on a real Mac. (Centris 610). Also, give a 'Restart' button
		that shows the startup sequence.
		
		remove reset capability.
		
		change palm menus to be minimal, show real about box from there
		
		'New Folder' should create icons on the desktop 'untitled folder'
		
*/
		
		