// da_mgr.h

// The desk accessory manager. This object keeps track of desk accessories, 
// and makes sure only one instance of each is running at any time.

class view;
class da_alarm_clock;

class da_mgr {
	public:
							da_mgr (view* in_superview);
		virtual			~da_mgr();
	
		virtual void	open_alarm_clock();
		virtual void	open_calculator();
		virtual void	open_chooser();
		virtual void	open_control_panel();
		virtual void	open_key_caps();
		virtual void	open_note_pad();
		virtual void	open_scrapbook();
		
	protected:
		da_alarm_clock*		m_alarm_clock;
		view*						m_superview;
};