// superclock.h

#define PILOT_PRECOMPILED_HEADERS_OFF
#include <Pilot.h>
#include "pane.h"

class view;

class superclock: public pane {
public:
				superclock(FormGadgetType* gadgetP, view* in_superview); // pass pointer to gadget where clock should be
	virtual	~superclock(); 				// does nothing
		
	// superclock-specific
	void		reset_idle_timer();
	void		set_idle_timer(UInt32 interval);
	void		set_date_timer(UInt32 interval);
protected:
	UInt32				m_idle_timer; 	// when next update should take place
	UInt32				m_date_timer;	// time left for displaying date instead of time
	
	virtual void		draw_self();
	virtual Boolean	click_self(int x, int y);
	virtual void		idle_self();
};
