// view.h

#include "pane.h"

#define PILOT_PRECOMPILED_HEADERS_OFF
#include <Pilot.h>

#pragma once

class view: public pane {
public:
					view(RectangleType* in_bounds, view* in_superview);
					view(view* in_superview);
					view();
	virtual		~view();
	
	pane*		get_subpanes() { return m_subpanes; };
	void			set_subpanes(pane* in_pane) { m_subpanes = in_pane; };
	
	virtual void		draw(); 
	virtual Boolean	click(int x, int y); 
	virtual Boolean	still_down(int x, int y); 
	virtual Boolean	pen_up(int x, int y); 
	virtual void		idle();

protected:
	pane* m_subpanes;
};