unit SepiaNetwork;

interface

	uses
		OpenTransportProviders, Files;
	
	const
		kServerStrings = 400;
		kSepiaCGIServerID = 1;
		kGetTaskCommand = 2;
		kSendResultCommand = 3;
		kClearDataCommand = 4;
		kSepiaWebServerID = 5;
		kSepiaName = 6;
		kSepiaBinhexSuffix = 7;
		kVersionText = 8;
		kSepiaDeleteSuffix = 9;
		

	function NetworkAvailable: Boolean;
	
	function DownloadURL(urlString: Ptr; postString: Ptr; var fss: FSSpec): OSStatus; C; External;

implementation

	function NetworkAvailable: Boolean;
	var
	    info: InetInterfaceInfo;
	begin
		NetworkAvailable := (OTInetGetInterfaceInfo(info, 0) = noErr);
    end; { NetworkAvailable }


end. 