

#include <LOffscreenView.h>
#include <LPeriodical.h>

class RadarView : public LOffscreenView, public LPeriodical
{
	public:
		enum { class_ID = FOUR_CHAR_CODE('RdOf') };
	
		RadarView(
			LStream *	inStream);
		
		virtual
		~RadarView();
		
		virtual void
		DrawSelf();

		virtual	void
		SpendTime(
			const EventRecord &	inMacEvent);

		void
		UpdateLocation();

		virtual void
		FinishCreateSelf();
	
	private:
		PicHandle		mRadarMapPict;
		UInt32			mLastLocationUpdateTime;
		UInt32			mLastSweepUpdateTime;
		double			mSweepAngle;
		
		Point			mCenterOfWindow;

		Point			mCurrentLocation;
		Point			mPreviousLocation;
};

