#! /usr/bin/perl -w
# Program: Not Quite C Yields Assets!
# An extremely limited hack to convert binary files back into 
# Not Quite C (NQC) source code. 
# Written and copyright 2001 by Raymond Cote.
# Not Quite C can be found at www.enteract.com/~dbaum/nqc/index.html
# Written in a hour or two at MacHack, so I'm surprised it works at all. 
# Your mileage may vary. 
# This is an extremely limited hack version that translates only the simplest of files.
# I wrote it, you can use it, rewrite it, modify it, give it to friends or ship it to the moon. 
# Just don't ask me to fix it. 
# Neither the code nor the concepts embedded here should in any way be construed 
# to be useful or suitable demonstrations of Perl coding style.
# Version 0.0.0.0.0.0000001
#

my $buf;	# AAK! A global!!
my @inbuf;	# AAK! All over the place!
my $bufptr;	# AAK! Another! 
my $byte;

my ($infile) = @ARGV;

print "Processing $infile.\n";

# Open up Standard input for reading;
open FH, $infile or die;

# Make that in binary mode. 
binmode(FH);

# Read a bunch of stuff.(we don't need no stinking error handling)
read FH, $buf, 10000;	# nobody ever bigger than that! :}

#convert to an array for easy handling
@inbuf = split( / */, $buf );

# Skip over some header information. 
# Actually, we know this header information to be:
#  a) an RCX identifier and 
#  b) some initial set-up information. 
# would be smart to check this is really an RCX file before we starting parsing word docs. 

$bufptr = 22;			# remember, we are 0 offset
$byte = getbyte();

while(!($byte eq 0) ) {
#	printf "%x", $byte;
	express($byte);
	$byte = getbyte();
}

# Clean up and play nice.
close(FH);

sub getbyte {
	return ord($inbuf[$bufptr++]);
}

sub express {
	my ($val) = @_;	# get the parm

	# here I get _really_ primitive
	# should store these things in a hash
	SWITCH: {
		do_out($val), last SWITCH if( 0x21 == $val);
		do_play($val), last SWITCH if( 0x51 == $val);
		do_unknown($val);
	}
}

sub do_unknown {
  my ($val) = @_;
  
  print "Unknown Op: ";
  printf "%x";
  getbyte();	# toss second byte.
}

sub do_out {
  my $out_what = getbyte();
#  print "$out_what - ";
  my $out_val = $out_what & 0x0f;
#  print "$out_val\n";
  if( $out_what & 0x80 ) {
  	print "On($out_val)\n";
  } else {
  	print "Off($out_val)\n";
  }
  
}

sub do_play {
	my $to_play = getbyte();
	print "PlaySound($to_play);\n";
}
