/*
This file and its intellectual contents are considered property of the creator and are to be treated as such with respect to use in other applications.  Any use of this software for any purpose whatsoever must have explicit permission from the author of the file.  This code is part of an ongoing development process for future possible products, and so is considered private property.
Do not use without permission.  Author: Scott C. Ziegler <Aslan@Narnia.net>
*/

package Arcana;

import java.awt.*;
import java.io.*;
import java.util.*;
import java.awt.event.*;
import java.awt.Color;

// SpellDescription
//
//		object for the manipulation of the text description of a spell
	
public class SpellDescription implements Serializable {
	
	String	textBody;
	
	// Constructors
	
	public SpellDescription() {}
	
	public SpellDescription(String desc) {
		
		textBody = new String(desc);
		}
		
	// Selectors
	
	public String getDescription() {
		return textBody;
		}
		
	// Mutators
	
	public void setDescription(String desc) {
		textBody = desc;
		}
		
	// Methods
		
	public void display(TextComponent textRegion) {
		textRegion.setText(textBody);
		}
	
	}